New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Audiobook

Rename a take (set or clear its custom display name)

PATCH
/api/v1/audiobook/projects/{project_id}/segments/{segment_id}/history/{generation_id}

Path Parameters

project_id*Project Id
segment_id*Segment Id
generation_id*Generation Id

Request Body

application/json
  1. body
name?|

New custom display name; null/empty clears it

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X PATCH 'http://127.0.0.1:8100/api/v1/audiobook/projects/string/segments/string/history/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
null